Mailinglist Archive: opensuse-packaging (121 mails)

< Previous Next >
Re: [opensuse-packaging] Manual requires not being displayed in build results?
  • From: Todd Rme <toddrme2178@xxxxxxxxx>
  • Date: Tue, 5 Mar 2019 09:37:52 -0500
  • Message-id: <CADb7s=td_csn92tEf9ZUHYqw_3no7cRZc9Ch3Sz1Tfq97RG7Bw@mail.gmail.com>
On Mon, Mar 4, 2019 at 4:38 PM Brüns, Stefan
<Stefan.Bruens@xxxxxxxxxxxxxx> wrote:

On Montag, 4. März 2019 22:26:18 CET Todd Rme wrote:
It looks like the build results in the OSC web interface are not
displaying requires specified in the spec file, only
automatically-detected results.

For example, with alsa, it Requires: alsa-utils. But if you look at
the build results, that requirement is not listed:

https://build.opensuse.org/build/openSUSE:Factory/standard/x86_64/alsa/_log

This happens in every projects, package, and build target I have
checked. I am not sure if this is a bug or expected behavior, though.

It definitely is:
https://build.opensuse.org/package/binary/openSUSE:Factory/alsa/standard/
x86_64/alsa-1.1.8-1.1.x86_64.rpm

Regards,

Stefan

It is listed there, but not in the build log that I linked to. Here
is the full list from the log:

Provides: alsa = 1.1.8-1.1 alsa(x86-64) = 1.1.8-1.1
Requires(interp): /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh coreutils diffutils fillup grep
Requires: /bin/bash /bin/sh
Recommends: alsa-oss alsa-plugins

Recommends, suggests, supplements, etc. are all listed in build logs,
as are automatically-generated requires. Only manually-specified
requires seem to be missing. In fact as far as I can find
"alsa-utils" doesn't appear anywhere in the build log at all.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >